summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-04 05:33:32 +0000
committerSam James <sam@gentoo.org>2021-04-04 06:32:48 +0000
commit9347810a17ebd9f27fe225c9414ce382587e1589 (patch)
treed45c1d987615c11a076515d6ea29da2a8224be3d /games-roguelike/adom/adom-1.1.1-r2.ebuild
parentgames-arcade/dynamitejack: port to EAPI 7, games.eclass-- (needs runtime check) (diff)
downloadgentoo-9347810a17ebd9f27fe225c9414ce382587e1589.tar.gz
gentoo-9347810a17ebd9f27fe225c9414ce382587e1589.tar.bz2
gentoo-9347810a17ebd9f27fe225c9414ce382587e1589.zip
games-roguelike/adom: port to EAPI 7, games.eclass--
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'games-roguelike/adom/adom-1.1.1-r2.ebuild')
-rw-r--r--games-roguelike/adom/adom-1.1.1-r2.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/games-roguelike/adom/adom-1.1.1-r2.ebuild b/games-roguelike/adom/adom-1.1.1-r2.ebuild
new file mode 100644
index 00000000000..b67288efa3f
--- /dev/null
+++ b/games-roguelike/adom/adom-1.1.1-r2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit edos2unix
+
+DESCRIPTION="Ancient Domains Of Mystery rogue-like game"
+HOMEPAGE="https://www.adom.de/"
+SRC_URI="https://www.adom.de/adom/download/linux/${P//.}-elf.tar.gz"
+S="${WORKDIR}"/${PN}
+
+LICENSE="adom"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# bug #137340
+RESTRICT="strip"
+QA_FLAGS_IGNORED="/opt/bin/adom"
+
+RDEPEND="sys-libs/ncurses-compat:5[abi_x86_32(-)]"
+
+src_install() {
+ exeinto /opt/bin
+ doexe adom
+
+ insinto /etc
+ echo "${EPREFIX}"/var/lib/${PN} > adom_ds.cfg || die
+ doins adom_ds.cfg
+
+ edos2unix adomfaq.txt
+ dodoc adomfaq.txt manual.doc readme.1st
+
+ keepdir /var/lib/${PN}
+ fperms g+w /var/lib/${PN}
+}